<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("./includes/constants/menu");
include("./includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;
$ttl="Банк чата";
$ref = rand(1000, 9999);
$cena = file("system/cena.dat");
$obmpost1 = trim($cena[0]);
$cenaa = trim($cena[1]);
$cenavip = trim($cena[2]);
$cenakill = trim($cena[3]);

switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
echo"<br/>$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE


echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$ttl\"><p align=\"left\">\n";

$query_users = @mysql_query("select * from `chat_users` where id='$id';");
@mysql_query("update `chat_users` set ltime='".time()."',  where id='".$id."';");
$data = @mysql_fetch_array($query_users);
$posts = $data['posts'];
$monety = $data['monety'];
$obmen = $kol/$obmpost1;

if(isset($_GET['case']))
{
$case = $_GET['case'];
}
else
{
$case = "";
}

switch($case)
{

case 'rules':
echo <<< END
Информация:<br/>
<b>Банк</b> - особый раздел чата, где вы можете обменять свои посты на монеты или перевести определённое кол-во монет в подарок своему другу.<br/>
Курс банка равен 1:$obmpost1 ,т.е. это значит что за одну монету вам придётся отдать $obmpost1 постов.<br/>
<b>Магазин</b> - особый раздел чата, где за ваши монеты вы можете купить себе личный статус,различные привилегии и даже должность!<br/>
END;
break;

default:
echo "<b>Банк ЧАТа</b>\n";
echo "Курс банка 1:$obmpost1<br/>";
echo "Ваши монеты: <u>".$monety."</u><br/>\n";
echo "<a href=\"/obmen.php?".SID."&amp;ver=wml\">Обменный пункт</a><br/>";
echo "<a href=\"/perevod.php?".SID."&amp;ver=wml\">Перевод монет</a><br/>";
echo "<br/>";
}

echo "• <a href=\"/bank.php?".SID."&amp;ver=wml&amp;case=rules\">Информация</a><br/>";
echo "• <a href=\"/menu/wml\">В прихожую</a><br/>\n";
echo"$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';

$query_users = @mysql_query("select * from `chat_users` where id='$id';");
@mysql_query("update `chat_users` set ltime='".time()."',  where id='".$id."';");
$data = @mysql_fetch_array($query_users);
$posts = $data['posts'];
$monety = $data['monety'];
$obmen = $kol/$obmpost1;

if(isset($_GET['case']))
{
$case = $_GET['case'];
}
else
{
$case = "";
}

switch($case)
{
case 'rules':
echo <<< END
<div class="d1">
Информация<br/>
</div>
<b>Банк</b> - особый раздел чата, где вы можете обменять свои посты на монеты или перевести определённое кол-во монет в подарок своему другу.<br/>
Курс банка равен 1:$obmpost1 ,т.е. это значит что за одну монету вам придётся отдать $obmpost1 постов.<br/>
<b>Магазин</b> - особый раздел чата, где за ваши монеты вы можете купить себе личный статус,различные привилегии и даже должность!<br/>
END;
break;

default:
echo'<div class="d2">';
echo "<img src=\"/res/icons/bank.gif\" alt=\".\" />\n";
echo'Банк ЧАТа</div>';
echo '<div class="d1">';
echo "Курс банка 1:$obmpost1<br/>";
echo'</div>';
echo "Ваши монеты: <u>".$monety."</u><br/>\n";
echo "<img src=\"/res/icons/obmen.png\" alt=\".\" />\n";
echo "<a href=\"/obmen.php?".SID."&amp;ver=html\">Обменный пункт</a><br/>";
echo "<img src=\"/res/icons/perevod.png\" alt=\".\" />\n";
echo "<a href=\"/perevod.php?".SID."&amp;ver=html\">Перевод монет</a><br/>";
}
echo '<div class="d1">';
echo "• <a href=\"/bank.php?".SID."&amp;ver=html&amp;case=rules\">Информация</a><br/>";
echo "• <a href=\"/menu/html\">В прихожую</a><br/>";
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";

break;
}
?>